net.sf.jasperreports.export

## Class AbstractXlsReportConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleReportExportConfiguration
    - - net.sf.jasperreports.export.AbstractXlsReportConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, ReportExportConfiguration, XlsReportConfiguration
  Direct Known Subclasses:
    SimpleJxlReportConfiguration, SimpleOdsReportConfiguration, SimpleXlsMetadataReportConfiguration, SimpleXlsReportConfiguration

      public class AbstractXlsReportConfiguration
      extends SimpleReportExportConfiguration
      implements XlsReportConfiguration

  Version:
    $Id: AbstractXlsExporterConfiguration.java 6759 2013-11-20 14:43:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.XlsReportConfiguration

      `PROPERTY_CELL_HIDDEN, PROPERTY_CELL_LOCKED, PROPERTY_COLLAPSE_ROW_SPAN, PROPERTY_COLUMN_WIDTH_RATIO, PROPERTY_DETECT_CELL_TYPE, PROPERTY_FIRST_PAGE_NUMBER, PROPERTY_FIT_HEIGHT, PROPERTY_FIT_WIDTH, PROPERTY_FONT_SIZE_FIX_ENABLED, PROPERTY_FREEZE_COLUMN, PROPERTY_FREEZE_ROW, PROPERTY_IGNORE_ANCHORS, PROPERTY_IGNORE_CELL_BACKGROUND, PROPERTY_IGNORE_CELL_BORDER, PROPERTY_IGNORE_GRAPHICS, PROPERTY_IGNORE_HYPERLINK, PROPERTY_IMAGE_ANCHOR_TYPE, PROPERTY_IMAGE_BORDER_FIX_ENABLED, PROPERTY_MAXIMUM_ROWS_PER_SHEET, PROPERTY_ONE_PAGE_PER_SHEET, PROPERTY_PAGE_SCALE, PROPERTY_PASSWORD, PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS, PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS, PROPERTY_SHEET_DIRECTION, PROPERTY_SHEET_FOOTER_CENTER, PROPERTY_SHEET_FOOTER_LEFT, PROPERTY_SHEET_FOOTER_RIGHT, PROPERTY_SHEET_HEADER_CENTER, PROPERTY_SHEET_HEADER_LEFT, PROPERTY_SHEET_HEADER_RIGHT, PROPERTY_SHEET_NAMES_PREFIX, PROPERTY_SHOW_GRIDLINES, PROPERTY_USE_TIMEZONE, PROPERTY_WHITE_PAGE_BACKGROUND, PROPERTY_WRAP_TEXT`

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXlsReportConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Float` | `getColumnWidthRatio()` Setting used to adjust all column widths in a document or sheet with the same width ratio, in order to get column width values suitable for Excel output.
    `java.lang.Integer` | `getFirstPageNumber()` Setting that specifies the first page number in the page setup dialog.
    `java.lang.Integer` | `getFitHeight()` This setting indicates the number of pages height to fit the sheet in.
    `java.lang.Integer` | `getFitWidth()` This setting indicates the number of pages wide to fit the sheet in.
    `java.util.Map<java.lang.String,java.lang.String>` | `getFormatPatternsMap()` This export configuration setting should be used when converting java format patterns to equivalent proprietary format patterns.
    `ImageAnchorTypeEnum` | `getImageAnchorType()` Specifies the image anchor type.
    `java.lang.Integer` | `getMaxRowsPerSheet()` Returns an integer value specifying the maximum number of rows allowed to be shown in a sheet.
    `java.lang.Integer` | `getPageScale()` This setting is used to adjust the page content to a given percent of the normal size in the print preview pane.
    `java.lang.String` | `getPassword()` Returns a String value representing the password in case of password protected documents.
    `RunDirectionEnum` | `getSheetDirection()` This setting indicates if the sheet is left-to-right or right-to-left oriented.
    `java.lang.String` | `getSheetFooterCenter()` This property stores the text content of the sheet footer's center.
    `java.lang.String` | `getSheetFooterLeft()` This property stores the text content of the sheet footer's left side.
    `java.lang.String` | `getSheetFooterRight()` This property stores the text content of the sheet footer's right side.
    `java.lang.String` | `getSheetHeaderCenter()` This property stores the text content of the sheet header's center.
    `java.lang.String` | `getSheetHeaderLeft()` This property stores the text content of the sheet header's left side.
    `java.lang.String` | `getSheetHeaderRight()` This property stores the text content of the sheet header's right side.
    `java.lang.String[]` | `getSheetNames()` Returns an array of strings representing custom sheet names.
    `java.lang.Boolean` | `isCellHidden()` This flag indicates whether the cell content is hidden.
    `java.lang.Boolean` | `isCellLocked()` This flag indicates whether the cell is locked.
    `java.lang.Boolean` | `isCollapseRowSpan()` Flag for collapsing row span and avoid merging cells across rows.
    `java.lang.Boolean` | `isDetectCellType()` Flag used to indicate whether the exporter should take into consideration the type of the original text field expressions and set the cell types and values accordingly.
    `java.lang.Boolean` | `isFontSizeFixEnabled()` Flag for decreasing font size so that texts fit into the specified cell height.
    `java.lang.Boolean` | `isIgnoreAnchors()` Flag that indicates whether local anchors should be ignored when elements are exported to Excel.
    `java.lang.Boolean` | `isIgnoreCellBackground()` Flag for ignoring the cell background color.
    `java.lang.Boolean` | `isIgnoreCellBorder()` Flag for ignoring the cell border.
    `java.lang.Boolean` | `isIgnoreGraphics()` Flag for ignoring graphic elements and exporting text elements only.
    `java.lang.Boolean` | `isIgnoreHyperlink()`
    `java.lang.Boolean` | `isIgnorePageMargins()` Indicates whether page margins should be ignored when the report is exported using a grid-based exporter If set to `true`, any page in the document will be exported without taking into account its margins.
    `java.lang.Boolean` | `isImageBorderFixEnabled()` Flag for forcing the minimum image padding to 1 pixel, to avoid situations where the image hides the cell border.
    `java.lang.Boolean` | `isOnePagePerSheet()` Returns a boolean value specifying whether each report page should be written in a different XLS sheet.
    `java.lang.Boolean` | `isRemoveEmptySpaceBetweenColumns()` Returns a boolean value specifying whether the empty spaces that could appear between columns should be removed or not.
    `java.lang.Boolean` | `isRemoveEmptySpaceBetweenRows()` Returns a boolean value specifying whether the empty spaces that could appear between rows should be removed or not.
    `java.lang.Boolean` | `isShowGridLines()` Flag that specifies if the gridlines in a given sheet are shown.
    `java.lang.Boolean` | `isUseTimeZone()` Flag that determines whether date values are to be translated to the timezone that was used to fill the report.
    `java.lang.Boolean` | `isWhitePageBackground()` Returns a boolean value specifying whether the page background should be white or the default XLS background color.
    `java.lang.Boolean` | `isWrapText()` This flag indicates whether text wrapping is allowed in a given cell.
    `void` | `setCellHidden(java.lang.Boolean isCellHidden)`
    `void` | `setCellLocked(java.lang.Boolean isCellLocked)`
    `void` | `setCollapseRowSpan(java.lang.Boolean isCollapseRowSpan)`
    `void` | `setColumnWidthRatio(java.lang.Float columnWidthRatio)`
    `void` | `setDetectCellType(java.lang.Boolean isDetectCellType)`
    `void` | `setFirstPageNumber(java.lang.Integer firstPageNumber)`
    `void` | `setFitHeight(java.lang.Integer fitHeight)`
    `void` | `setFitWidth(java.lang.Integer fitWidth)`
    `void` | `setFontSizeFixEnabled(java.lang.Boolean isFontSizeFixEnabled)`
    `void` | `setFormatPatternsMap(java.util.Map<java.lang.String,java.lang.String> formatPatternsMap)`
    `void` | `setIgnoreAnchors(java.lang.Boolean isIgnoreAnchors)`
    `void` | `setIgnoreCellBackground(java.lang.Boolean isIgnoreCellBackground)`
    `void` | `setIgnoreCellBorder(java.lang.Boolean isIgnoreCellBorder)`
    `void` | `setIgnoreGraphics(java.lang.Boolean isIgnoreGraphics)`
    `void` | `setIgnoreHyperlink(java.lang.Boolean isIgnoreHyperlink)`
    `void` | `setIgnorePageMargins(java.lang.Boolean isIgnorePageMargins)`
    `void` | `setImageAnchorType(ImageAnchorTypeEnum imageAnchorType)`
    `void` | `setImageBorderFixEnabled(java.lang.Boolean isImageBorderFixEnabled)`
    `void` | `setMaxRowsPerSheet(java.lang.Integer maxRowsPerSheet)`
    `void` | `setOnePagePerSheet(java.lang.Boolean isOnePagePerSheet)`
    `void` | `setPageScale(java.lang.Integer pageScale)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setRemoveEmptySpaceBetweenColumns(java.lang.Boolean isRemoveEmptySpaceBetweenColumns)`
    `void` | `setRemoveEmptySpaceBetweenRows(java.lang.Boolean isRemoveEmptySpaceBetweenRows)`
    `void` | `setSheetDirection(RunDirectionEnum sheetDirection)`
    `void` | `setSheetFooterCenter(java.lang.String sheetFooterCenter)`
    `void` | `setSheetFooterLeft(java.lang.String sheetFooterLeft)`
    `void` | `setSheetFooterRight(java.lang.String sheetFooterRight)`
    `void` | `setSheetHeaderCenter(java.lang.String sheetHeaderCenter)`
    `void` | `setSheetHeaderLeft(java.lang.String sheetHeaderLeft)`
    `void` | `setSheetHeaderRight(java.lang.String sheetHeaderRight)`
    `void` | `setSheetNames(java.lang.String[] sheetNames)`
    `void` | `setShowGridLines(java.lang.Boolean isShowGridLines)`
    `void` | `setUseTimeZone(java.lang.Boolean isUseTimeZone)`
    `void` | `setWhitePageBackground(java.lang.Boolean isWhitePageBackground)`
    `void` | `setWrapText(java.lang.Boolean isWrapText)`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex, setEndPageIndex, setExporterFilter, setHyperlinkProducerFactory, setOffsetX, setOffsetY, setPageIndex, setProgressMonitor, setStartPageIndex`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### AbstractXlsReportConfiguration

          public AbstractXlsReportConfiguration()

  - ### Method Detail

    - #### isOnePagePerSheet

          public java.lang.Boolean isOnePagePerSheet()

      Description copied from interface: `XlsReportConfiguration`
      Returns a boolean value specifying whether each report page should be written in a different XLS sheet.
      Specified by:
        `isOnePagePerSheet` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_ONE_PAGE_PER_SHEET`

    - #### setOnePagePerSheet

          public void setOnePagePerSheet(java.lang.Boolean isOnePagePerSheet)

    - #### isRemoveEmptySpaceBetweenColumns

          public java.lang.Boolean isRemoveEmptySpaceBetweenColumns()

      Description copied from interface: `XlsReportConfiguration`
      Returns a boolean value specifying whether the empty spaces that could appear between columns should be removed or not.
      Specified by:
        `isRemoveEmptySpaceBetweenColumns` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS`

    - #### setRemoveEmptySpaceBetweenColumns

          public void setRemoveEmptySpaceBetweenColumns(java.lang.Boolean isRemoveEmptySpaceBetweenColumns)

    - #### isRemoveEmptySpaceBetweenRows

          public java.lang.Boolean isRemoveEmptySpaceBetweenRows()

      Description copied from interface: `XlsReportConfiguration`
      Returns a boolean value specifying whether the empty spaces that could appear between rows should be removed or not.
      Specified by:
        `isRemoveEmptySpaceBetweenRows` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS`

    - #### setRemoveEmptySpaceBetweenRows

          public void setRemoveEmptySpaceBetweenRows(java.lang.Boolean isRemoveEmptySpaceBetweenRows)

    - #### isWhitePageBackground

          public java.lang.Boolean isWhitePageBackground()

      Description copied from interface: `XlsReportConfiguration`
      Returns a boolean value specifying whether the page background should be white or the default XLS background color. This background may vary depending on the XLS viewer properties or the operating system color scheme.
      Specified by:
        `isWhitePageBackground` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_WHITE_PAGE_BACKGROUND`

    - #### setWhitePageBackground

          public void setWhitePageBackground(java.lang.Boolean isWhitePageBackground)

    - #### isDetectCellType

          public java.lang.Boolean isDetectCellType()

      Description copied from interface: `XlsReportConfiguration`
      Flag used to indicate whether the exporter should take into consideration the type of the original text field expressions and set the cell types and values accordingly.

      Text fields having numerical or date expressions save type and formatting (format pattern, locale and time zone) information in the `JasperPrint`/`JRPrintText` object created by the report fill process.

      When this flag is set, the exporter will parse back the `String` value of numerical/date texts. Numerical/date cells will be created and the original pattern of the text will be included as part of the cell style.

      Note that this mechanism would not work when the text field overflows and splits on two pages/columns. Also, it is required that the text field expression has a numerical or date type set.

      This flag is off by default to ensure backwards compatibility.

      Specified by:
        `isDetectCellType` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_DETECT_CELL_TYPE`

    - #### setDetectCellType

          public void setDetectCellType(java.lang.Boolean isDetectCellType)

    - #### isFontSizeFixEnabled

          public java.lang.Boolean isFontSizeFixEnabled()

      Description copied from interface: `XlsReportConfiguration`
      Flag for decreasing font size so that texts fit into the specified cell height.
      Specified by:
        `isFontSizeFixEnabled` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_FONT_SIZE_FIX_ENABLED`

    - #### setFontSizeFixEnabled

          public void setFontSizeFixEnabled(java.lang.Boolean isFontSizeFixEnabled)

    - #### isImageBorderFixEnabled

          public java.lang.Boolean isImageBorderFixEnabled()

      Description copied from interface: `XlsReportConfiguration`
      Flag for forcing the minimum image padding to 1 pixel, to avoid situations where the image hides the cell border.
      Specified by:
        `isImageBorderFixEnabled` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_IMAGE_BORDER_FIX_ENABLED`

    - #### setImageBorderFixEnabled

          public void setImageBorderFixEnabled(java.lang.Boolean isImageBorderFixEnabled)

    - #### isIgnoreGraphics

          public java.lang.Boolean isIgnoreGraphics()

      Description copied from interface: `XlsReportConfiguration`
      Flag for ignoring graphic elements and exporting text elements only.
      Specified by:
        `isIgnoreGraphics` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_IGNORE_GRAPHICS`

    - #### setIgnoreGraphics

          public void setIgnoreGraphics(java.lang.Boolean isIgnoreGraphics)

    - #### isCollapseRowSpan

          public java.lang.Boolean isCollapseRowSpan()

      Description copied from interface: `XlsReportConfiguration`
      Flag for collapsing row span and avoid merging cells across rows.
      Specified by:
        `isCollapseRowSpan` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_COLLAPSE_ROW_SPAN`

    - #### setCollapseRowSpan

          public void setCollapseRowSpan(java.lang.Boolean isCollapseRowSpan)

    - #### isIgnoreCellBorder

          public java.lang.Boolean isIgnoreCellBorder()

      Description copied from interface: `XlsReportConfiguration`
      Flag for ignoring the cell border.
      Specified by:
        `isIgnoreCellBorder` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_IGNORE_CELL_BORDER`

    - #### setIgnoreCellBorder

          public void setIgnoreCellBorder(java.lang.Boolean isIgnoreCellBorder)

    - #### isIgnoreCellBackground

          public java.lang.Boolean isIgnoreCellBackground()

      Description copied from interface: `XlsReportConfiguration`
      Flag for ignoring the cell background color.
      Specified by:
        `isIgnoreCellBackground` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_IGNORE_CELL_BACKGROUND`

    - #### setIgnoreCellBackground

          public void setIgnoreCellBackground(java.lang.Boolean isIgnoreCellBackground)

    - #### isWrapText

          public java.lang.Boolean isWrapText()

      Description copied from interface: `XlsReportConfiguration`
      This flag indicates whether text wrapping is allowed in a given cell.
      Specified by:
        `isWrapText` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_WRAP_TEXT`

    - #### setWrapText

          public void setWrapText(java.lang.Boolean isWrapText)

    - #### isCellLocked

          public java.lang.Boolean isCellLocked()

      Description copied from interface: `XlsReportConfiguration`
      This flag indicates whether the cell is locked.
      Specified by:
        `isCellLocked` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_CELL_LOCKED`

    - #### setCellLocked

          public void setCellLocked(java.lang.Boolean isCellLocked)

    - #### isCellHidden

          public java.lang.Boolean isCellHidden()

      Description copied from interface: `XlsReportConfiguration`
      This flag indicates whether the cell content is hidden.
      Specified by:
        `isCellHidden` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_CELL_HIDDEN`

    - #### setCellHidden

          public void setCellHidden(java.lang.Boolean isCellHidden)

    - #### getMaxRowsPerSheet

          public java.lang.Integer getMaxRowsPerSheet()

      Description copied from interface: `XlsReportConfiguration`
      Returns an integer value specifying the maximum number of rows allowed to be shown in a sheet. When set, a new sheet is created for the remaining rows to be displayed. Negative values or zero means that no limit has been set.
      Specified by:
        `getMaxRowsPerSheet` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_MAXIMUM_ROWS_PER_SHEET`

    - #### setMaxRowsPerSheet

          public void setMaxRowsPerSheet(java.lang.Integer maxRowsPerSheet)

    - #### isIgnorePageMargins

          public java.lang.Boolean isIgnorePageMargins()

      Description copied from interface: `XlsReportConfiguration`
      Indicates whether page margins should be ignored when the report is exported using a grid-based exporter

      If set to `true`, any page in the document will be exported without taking into account its margins.

      Specified by:
        `isIgnorePageMargins` in interface `XlsReportConfiguration`
      See Also:
        `ReportExportConfiguration.PROPERTY_IGNORE_PAGE_MARGINS`

    - #### setIgnorePageMargins

          public void setIgnorePageMargins(java.lang.Boolean isIgnorePageMargins)

    - #### getSheetHeaderLeft

          public java.lang.String getSheetHeaderLeft()

      Description copied from interface: `XlsReportConfiguration`
      This property stores the text content of the sheet header's left side.
      Specified by:
        `getSheetHeaderLeft` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_SHEET_HEADER_LEFT`

    - #### setSheetHeaderLeft

          public void setSheetHeaderLeft(java.lang.String sheetHeaderLeft)

    - #### getSheetHeaderCenter

          public java.lang.String getSheetHeaderCenter()

      Description copied from interface: `XlsReportConfiguration`
      This property stores the text content of the sheet header's center.
      Specified by:
        `getSheetHeaderCenter` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_SHEET_HEADER_CENTER`

    - #### setSheetHeaderCenter

          public void setSheetHeaderCenter(java.lang.String sheetHeaderCenter)

    - #### getSheetHeaderRight

          public java.lang.String getSheetHeaderRight()

      Description copied from interface: `XlsReportConfiguration`
      This property stores the text content of the sheet header's right side.
      Specified by:
        `getSheetHeaderRight` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_SHEET_HEADER_RIGHT`

    - #### setSheetHeaderRight

          public void setSheetHeaderRight(java.lang.String sheetHeaderRight)

    - #### getSheetFooterLeft

          public java.lang.String getSheetFooterLeft()

      Description copied from interface: `XlsReportConfiguration`
      This property stores the text content of the sheet footer's left side.
      Specified by:
        `getSheetFooterLeft` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_SHEET_FOOTER_LEFT`

    - #### setSheetFooterLeft

          public void setSheetFooterLeft(java.lang.String sheetFooterLeft)

    - #### getSheetFooterCenter

          public java.lang.String getSheetFooterCenter()

      Description copied from interface: `XlsReportConfiguration`
      This property stores the text content of the sheet footer's center.
      Specified by:
        `getSheetFooterCenter` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_SHEET_FOOTER_CENTER`

    - #### setSheetFooterCenter

          public void setSheetFooterCenter(java.lang.String sheetFooterCenter)

    - #### getSheetFooterRight

          public java.lang.String getSheetFooterRight()

      Description copied from interface: `XlsReportConfiguration`
      This property stores the text content of the sheet footer's right side.
      Specified by:
        `getSheetFooterRight` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_SHEET_FOOTER_RIGHT`

    - #### setSheetFooterRight

          public void setSheetFooterRight(java.lang.String sheetFooterRight)

    - #### getPassword

          public java.lang.String getPassword()

      Description copied from interface: `XlsReportConfiguration`
      Returns a String value representing the password in case of password protected documents.
      Specified by:
        `getPassword` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_PASSWORD`

    - #### setPassword

          public void setPassword(java.lang.String password)

    - #### getSheetNames

          public java.lang.String[] getSheetNames()

      Description copied from interface: `XlsReportConfiguration`
      Returns an array of strings representing custom sheet names. This is useful when used with the isOnePagePerSheet() setting.
      Specified by:
        `getSheetNames` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_SHEET_NAMES_PREFIX`

    - #### setSheetNames

          public void setSheetNames(java.lang.String[] sheetNames)

    - #### getFormatPatternsMap

          public java.util.Map<java.lang.String,java.lang.String> getFormatPatternsMap()

      Description copied from interface: `XlsReportConfiguration`
      This export configuration setting should be used when converting java format patterns to equivalent proprietary format patterns. It should be constructed as a Map containing java format patterns as keys and the correspondent proprietary format pattern as correspondent value

      Specified by:
        `getFormatPatternsMap` in interface `XlsReportConfiguration`
      See Also:
        `HSSFDataFormat`, `NumberFormat`

    - #### setFormatPatternsMap

          public void setFormatPatternsMap(java.util.Map<java.lang.String,java.lang.String> formatPatternsMap)

    - #### isIgnoreHyperlink

          public java.lang.Boolean isIgnoreHyperlink()

      Specified by:
        `isIgnoreHyperlink` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_IGNORE_HYPERLINK`

    - #### setIgnoreHyperlink

          public void setIgnoreHyperlink(java.lang.Boolean isIgnoreHyperlink)

    - #### isIgnoreAnchors

          public java.lang.Boolean isIgnoreAnchors()

      Description copied from interface: `XlsReportConfiguration`
      Flag that indicates whether local anchors should be ignored when elements are exported to Excel.
      Specified by:
        `isIgnoreAnchors` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_IGNORE_ANCHORS`

    - #### setIgnoreAnchors

          public void setIgnoreAnchors(java.lang.Boolean isIgnoreAnchors)

    - #### getFitWidth

          public java.lang.Integer getFitWidth()

      Description copied from interface: `XlsReportConfiguration`
      This setting indicates the number of pages wide to fit the sheet in.
      Specified by:
        `getFitWidth` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_FIT_WIDTH`

    - #### setFitWidth

          public void setFitWidth(java.lang.Integer fitWidth)

    - #### getFitHeight

          public java.lang.Integer getFitHeight()

      Description copied from interface: `XlsReportConfiguration`
      This setting indicates the number of pages height to fit the sheet in.
      Specified by:
        `getFitHeight` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_FIT_WIDTH`

    - #### setFitHeight

          public void setFitHeight(java.lang.Integer fitHeight)

    - #### getPageScale

          public java.lang.Integer getPageScale()

      Description copied from interface: `XlsReportConfiguration`
      This setting is used to adjust the page content to a given percent of the normal size in the print preview pane. Allowed values are positive integers from 10 to 400, representing percents of the normal size. This setting overrides the `XlsReportConfiguration.getFitWidth()` and `XlsReportConfiguration.getFitHeight()` settings.
      Specified by:
        `getPageScale` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_PAGE_SCALE`

    - #### setPageScale

          public void setPageScale(java.lang.Integer pageScale)

    - #### getSheetDirection

          public RunDirectionEnum getSheetDirection()

      Description copied from interface: `XlsReportConfiguration`
      This setting indicates if the sheet is left-to-right or right-to-left oriented. Possible values are:
      - LTR - meaning left-to-right
      - RTL - meaning right-to-left
      The default value is LTR.
      Specified by:
        `getSheetDirection` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_SHEET_DIRECTION`

    - #### setSheetDirection

          public void setSheetDirection(RunDirectionEnum sheetDirection)

    - #### getColumnWidthRatio

          public java.lang.Float getColumnWidthRatio()

      Description copied from interface: `XlsReportConfiguration`
      Setting used to adjust all column widths in a document or sheet with the same width ratio, in order to get column width values suitable for Excel output. Usually column widths are measured by Excel in Normal style default character width units, while the JR engine uses pixels as default size units. When exporting the report to the Excel output format, the pixel-to-character width translation depends on the normal style default character width provided by the Excel instance, so it cannot be always accurately fitted. In this case, one can alter the generated column widths by setting this property with a float value representing the adjustment ratio.
      Specified by:
        `getColumnWidthRatio` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_COLUMN_WIDTH_RATIO`

    - #### setColumnWidthRatio

          public void setColumnWidthRatio(java.lang.Float columnWidthRatio)

    - #### isUseTimeZone

          public java.lang.Boolean isUseTimeZone()

      Description copied from interface: `XlsReportConfiguration`
      Flag that determines whether date values are to be translated to the timezone that was used to fill the report.

      By default, date values are exported to Excel using the default timezone of the system. Setting this to `true` instructs the exporter to use he report fill timezone to export date values.

      This only has effect when `XlsReportConfiguration.isDetectCellType()` is set.

      Specified by:
        `isUseTimeZone` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_USE_TIMEZONE`

    - #### setUseTimeZone

          public void setUseTimeZone(java.lang.Boolean isUseTimeZone)

    - #### getFirstPageNumber

          public java.lang.Integer getFirstPageNumber()

      Description copied from interface: `XlsReportConfiguration`
      Setting that specifies the first page number in the page setup dialog.
      Specified by:
        `getFirstPageNumber` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_FIRST_PAGE_NUMBER`

    - #### setFirstPageNumber

          public void setFirstPageNumber(java.lang.Integer firstPageNumber)

    - #### isShowGridLines

          public java.lang.Boolean isShowGridLines()

      Description copied from interface: `XlsReportConfiguration`
      Flag that specifies if the gridlines in a given sheet are shown.
      Specified by:
        `isShowGridLines` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_SHOW_GRIDLINES`

    - #### setShowGridLines

          public void setShowGridLines(java.lang.Boolean isShowGridLines)

    - #### getImageAnchorType

          public ImageAnchorTypeEnum getImageAnchorType()

      Description copied from interface: `XlsReportConfiguration`
      Specifies the image anchor type.
      Specified by:
        `getImageAnchorType` in interface `XlsReportConfiguration`
      See Also:
        `XlsReportConfiguration.PROPERTY_IMAGE_ANCHOR_TYPE`

    - #### setImageAnchorType

          public void setImageAnchorType(ImageAnchorTypeEnum imageAnchorType)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com